Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap.hadoop.io
Class HttpFileSystem

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.fs.FileSystem
              cascading.tap.hadoop.io.StreamedFileSystem
                  cascading.tap.hadoop.io.HttpFileSystem

All Implemented Interfaces:
  Closeable, Configurable

    public class HttpFileSystem

extends StreamedFileSystem

Class HttpFileSystem provides a basic read-only `FileSystem` for accessing remote HTTP and HTTPS data.

To use this FileSystem, just use regular http:// or https:// URLs.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.fs.FileSystem
`FileSystem.Statistics`

Field Summary
`static String` | `HTTP_SCHEME` Field HTTP_SCHEME
`static String` | `HTTPS_SCHEME` Field HTTPS_SCHEME

Fields inherited from class org.apache.hadoop.fs.FileSystem
`FS_DEFAULT_NAME_KEY, statistics`

Constructor Summary
`HttpFileSystem()`

Method Summary
`boolean` | `exists(Path path)`
`FileStatus` | `getFileStatus(Path path)`
`URI` | `getUri()`
`FileStatus[]` | `globStatus(Path path, PathFilter pathFilter)`
`void` | `initialize(URI uri, Configuration configuration)`
`FSDataInputStream` | `open(Path path, int i)`

Methods inherited from class cascading.tap.hadoop.io.StreamedFileSystem
`append, create, delete, delete, getMD5SumFor, getMD5SumFor, getWorkingDirectory, listStatus, mkdirs, rename, setMD5SumFor, setMD5SumFor, setWorkingDirectory`

Methods inherited from class org.apache.hadoop.fs.FileSystem
`addFileSystemForTesting, append, append, checkPath, clearStatistics, close, closeAll, closeAllForUGI, completeLocalOutput, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyFromLocalFile, copyToLocalFile, copyToLocalFile, create, create, create, create, create, create, create, create, create, create, createNewFile, createNonRecursive, createNonRecursive, deleteOnExit, get, get, get, getAllStatistics, getBlockSize, getCanonicalServiceName, getCanonicalUri, getContentSummary, getDefaultBlockSize, getDefaultBlockSize, getDefaultPort, getDefaultReplication, getDefaultReplication, getDefaultUri, getDelegationToken, getFileBlockLocations, getFileChecksum, getHomeDirectory, getLength, getLocal, getName, getNamed, getReplication, getStatistics, getStatistics, getUsed, globStatus, isDirectory, isFile, listStatus, listStatus, listStatus, makeQualified, mkdirs, mkdirs, moveFromLocalFile, moveFromLocalFile, moveToLocalFile, open, printStatistics, processDeleteOnExit, setDefaultUri, setDefaultUri, setOwner, setPermission, setReplication, setTimes, setVerifyChecksum, startLocalOutput`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_SCHEME

    public static final String HTTP_SCHEME

  Field HTTP_SCHEME

  See Also:
    Constant Field Values

### HTTPS_SCHEME

    public static final String HTTPS_SCHEME

  Field HTTPS_SCHEME

  See Also:
    Constant Field Values

Constructor Detail

### HttpFileSystem

    public HttpFileSystem()

Method Detail

### initialize

    public void initialize(URI uri,
                           Configuration configuration)
                    throws IOException

  Overrides:
    `initialize` in class `FileSystem`
  Throws:
    `IOException`

### getUri

    public URI getUri()

  Specified by:
    `getUri` in class `FileSystem`

### globStatus

    public FileStatus[] globStatus(Path path,
                                   PathFilter pathFilter)
                            throws IOException

  Overrides:
    `globStatus` in class `FileSystem`
  Throws:
    `IOException`

### open

    public FSDataInputStream open(Path path,
                                  int i)
                           throws IOException

  Specified by:
    `open` in class `FileSystem`
  Throws:
    `IOException`

### exists

    public boolean exists(Path path)
                   throws IOException

  Overrides:
    `exists` in class `FileSystem`
  Throws:
    `IOException`

### getFileStatus

    public FileStatus getFileStatus(Path path)
                             throws IOException

  Specified by:
    `getFileStatus` in class `FileSystem`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.